<script setup lang="ts">
import { useTemperatureStore } from '@/stores/temperature';


const TemperatureStore = useTemperatureStore()

function convert(celsius: number): number {
    return (celsius * 9.0) / 5 + 32
}
</script>
<template>
    <v-form v-model="TemperatureStore.valid">
        <v-container>
            <v-row>
                <v-col cols="12" md="4">
                    <v-text-field v-model.number="TemperatureStore.celsius" :rules="[
                        (v) => !!v || 'celsius is not emtry',
                        (v) => !isNaN(parseFloat(v)) || 'celsius must be number!!!']
                        " :counter="10" label="Celsius" required hide-details></v-text-field>
                </v-col>

                <v-col cols="12" md="4">
                    <v-btn @click="TemperatureStore.callConvert">Calculate</v-btn>
                </v-col>

                <v-col cols="12" md="4">
                    <div>{{ TemperatureStore.result }}</div>
                </v-col>
            </v-row>
        </v-container>
    </v-form>
</template>
